/*!
 * @file TrapBase.h
 * @brief ゲーム中のトラップベースのプロトタイプ
 * @date 2014/02/01
 * @author Deskull
 * 2014 Sikabane Works.
 */

#include "stdafx.h"
#include "GameElement.h"

namespace Deeangband
{

/*!
 * @class TrapBase
 * @brief トラップベースのクラス
 */
class TrapBase : public GameElement
{
	std::string name;

	friend class boost::serialization::access;
	template<class Archive> void serialize(Archive &archive, const unsigned int) 
	{
		archive & BOOST_SERIALIZATION_NVP(name);
	}

private:

public:

	/*! 
	 * @brief TrapBaseクラスコンストラクタ(GameElementメンバ対応)
	 * @param id GameElementのID
	 * @param tag GameElementのタグ
	 * @param gameWorld 所属元gameWorld参照ポインタ
	 */
	TrapBase::TrapBase(ID id, TAG tag, GameWorld *gameWorld);

	TrapBase::TrapBase(void);

	TrapBase::~TrapBase(void);

	std::string TrapBase::GetName(void);
};

}